[TOC]

## 1. 环境搭建

### 1.1 启动docker

```shell
$ cd /path/to/k230_sdk
$ docker run -u root -it --rm -v $(pwd):/mnt -v $(pwd)/toolchain:/opt/toolchain -w /mnt ghcr.io/kendryte/k230_sdk:latest /bin/bash
```

将当前目录目录挂载到docker的/mnt



### 1.2 安装wheel包

- **linux平台**支持在线安装nncase和nncase-kpu
- **windows平台**只支持nncase在线安装， nncase-kpu需要到[nncase github release](https://github.com/kendryte/nncase/releases)单独下载并安装

```shell
root@c08eb1760d50:/mnt# pip install -i https://pypi.org/simple nncase==2.9.0 nncase-kpu==2.9.0
```



查看安装的nncase版本信息

```shell
root@c08eb1760d50:/mnt/# pip list|grep nncase
nncase            2.9.0  
nncase-kpu        2.9.0  

root@c08eb1760d50:/mnt/# python3
Python 3.8.10 (default, May 26 2023, 14:05:08) 
[GCC 9.4.0] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import _nncase
>>> print(_nncase.__version__)
2.9.0
>>> quit()sss
```



## 2. 编译模型

- docker内执行



### 2.1 编译

```shell
root@c08eb1760d50:/mnt/# cd nncase/examples/
root@c08eb1760d50:/mnt/src/big/nncase/examples# ./build_model.sh
```



### 2.2 查看编译结果

```shell
root@c08eb1760d50:/mnt/nncase/examples# ls -l tmp/
total 4
drwxr-xr-x 11 root root 4096 Jul 31 16:51 mobile_retinaface
```



## 3. 编译App

- pc上执行



###  3.1 App介绍

| App         | 备注                                                  |
| ----------- | ----------------------------------------------------- |
| face_detect | 人脸检测demo, 输入是人脸bin, 推理结果会输出到terminal |



### 3.2 编译

- 编辑build_app.sh, 配置本机机器的linux交叉编译工具链和k230 linux sdk到环境变量

  ```
  export PATH=$PATH:/home/zhangyang/workspace/tools/k230/Xuantie-900-gcc-linux-6.6.0-glibc-x86_64-V2.10.1/bin
  export K230_SDK="/home/zhangyang/workspace/kendryte/k230_linux_sdk"
  ```

  

- 编译App

```shell
$ ./build_app.sh
```



### 3.3 查看编译结果

编译app结束后, 默认会将demo及其运行所需文件拷贝到当前目录下的k230_bin子目录

```shell
$ ls -l k230_bin/
total 4
drwxrwxr-x 2 zhangyang zhangyang 4096 Jul 31 17:11 face_detect
```



### 3.4 传送demo

- 将k230_bin目录拷贝到本地PC的nfsroot目录



## 4. 上板运行

**前置条件**

- gnne频率: 800MHZ

- noc限速: 3.2GB/s

  

### 4.1 人脸检测demo

```shell
[root@canaan /modules/run/face_detect ]#./cpp.sh 
case ./face_detect built at Jul 31 2024 17:46:12 
Press 'q + enter' to exit!!! 
output tensor idx: 0 
output tensor idx: 1 
output tensor idx: 2 
output tensor idx: 3 
output tensor idx: 4 
output tensor idx: 5 
output tensor idx: 6 
output tensor idx: 7 
output tensor idx: 8 
Detection results for image: input.bin 
Number of faces detected: 1 
Face 1: 
 Bounding box: (156, 87) to (343, 337) 
 Landmarks: 
   Point 1: (206, 194) 
   Point 2: (291, 190) 
   Point 3: (250, 237) 
   Point 4: (221, 286) 
   Point 5: (282, 284) 

---------------------------------------- 
Processing count: 1
```
