#!/bin/bash
set -x

# set cross build toolchain and k230 sdk(Linux)
export PATH=$PATH:/home/zhangyang/workspace/tools/k230/Xuantie-900-gcc-linux-6.6.0-glibc-x86_64-V2.10.1/bin
export K230_SDK="/home/zhangyang/workspace/kendryte/k230_linux_sdk"

clear
rm -rf out
mkdir out
pushd out
cmake -DCMAKE_BUILD_TYPE=Release                 \
      -DCMAKE_INSTALL_PREFIX=`pwd`               \
      -DCMAKE_TOOLCHAIN_FILE=cmake/Riscv64.cmake \
      ..

make -j && make install
popd

# assemble all test cases
k230_bin=`pwd`/k230_bin
mkdir -p ${k230_bin}

if [ -f out/bin/face_detect ]; then
      face_detect=${k230_bin}/face_detect
      rm -rf ${face_detect}
      mkdir ${face_detect}
      cp -a face_detect/data/cpp.sh ${face_detect}
      cp -a face_detect/data/input.bin ${face_detect}
      cp out/bin/face_detect ${face_detect}
      cp tmp/mobile_retinaface/test.kmodel ${face_detect}/
fi