 
import numpy as np
from PIL import Image

# 读取二进制文件
with open('ai2d_input.bin', 'rb') as f:
    # 假设数据是以 C 顺序（行主序）存储的
    data = np.fromfile(f, dtype=np.uint8)

# 将一维数组重塑为三维数组
# 注意，NumPy reshape 函数的参数顺序为 (channels, height, width)
# Pillow 需要数据为 (height, width, channels)
data = data.reshape((3, 624, 1024))
data = np.moveaxis(data, 0, -1)  # 将通道维度移到最后一个维度

# 创建 Pillow Image 对象
img = Image.fromarray(data)

# 显示或保存图像
img.show()
img.save('output_image.png')