 
import numpy as np
from PIL import Image

# 读取图像文件
img = Image.open('input_image.jpg')

# 将图像转换为NumPy数组
data = np.array(img)

# 确保数据是uint8类型
data = data.astype(np.uint8)

# 将数组的形状从(height, width, channels)改变为(channels, height, width)
data = np.moveaxis(data, -1, 0)

# 将数组展平为一维
flat_data = data.flatten()

# 将数据写入二进制文件
with open('ai2d_input.bin', 'wb') as f:
    flat_data.tofile(f)

print("图像已成功转换为二进制文件：ai2d_input.bin")